<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/class/XCube_PageNavigator.class.php";

class LegacyRender_PageNavigator extends XCube_PageNavigator
{
	function renderSortUrl()
	{
		return parent::renderSortUrl('sort');
	}
	
	function renderHidden($mask = null)
	{
		if ($mask == null) {
			$mask = array();
		}
		elseif (!is_array($mask)) {
			$mask = array($mask);
		}
		
		$ret ="";
		
		foreach ($this->mExtra as $key => $value) {
			if (!in_array($key, $mask)) {
				$value = htmlspecialchars($value, ENT_QUOTES);
				$ret .= "<input type=\"hidden\" name=\"${key}\" value=\"${value}\" />";
			}
		}
		
		return $ret;
	}
}

?>